Package networkx :: Module hybrid

[frames | no frames]

## Module networkx.hybrid

Hybrid

Function Summary
| ``is_kl_connected`(G, k, l, **kwds)` Returns True if G is kl connected
| ``kl_connected_subgraph`(G, k, l, **kwds)` Returns the maximum locally (k,l) connected subgraph of G.

Variable Summary
`str` | `__author__` = `'Aric Hagberg (hagberg@lanl.gov)\nDan Schul...`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-03-30 16:56:28 -0700 (Wed, 30 Ma...`
`str` | `__revision__` = `'$Revision: 911 $'`

Function Details

### is_kl_connected(G, k, l, **kwds)

Returns True if G is kl connected

### kl_connected_subgraph(G, k, l, **kwds)

Returns the maximum locally (k,l) connected subgraph of G.

(k,l)-connected subgraphs are presented by Fan Chung and Li in "The Small World Phenomenon in hybrid power law graphs" to appear in "Complex Networks" (Ed. E. Ben-Naim) Lecture Notes in Physics, Springer (2004)

low_memory=True then use a slightly slower, but lower memory version same_as_graph=True then return a tuple with subgraph and pflag for if G is kl-connected

Variable Details

### __author__

  Type:
    `str`
  Value:

        '''Aric Hagberg (hagberg@lanl.gov)
        Dan Schult (dschult@colgate.edu)'''

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-03-30 16:56:28 -0700 (Wed, 30 Mar 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 911 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:59 2005 | http://epydoc.sf.net